module JamRuby
  class UserProgressEmailer
    extend Resque::Plugins::JamLonelyJob

    @queue = :scheduled_user_progress_emailer
    @@log = Logging.logger[UserProgressEmailer]

    def self.perform
      @@log.debug("waking up")
      EmailBatchProgression.send_progress_batch
      @@log.debug("done")
    end

  end
end
